--英雄描述
Lua_HeroDesWindow = class("Lua_HeroDesWindow", Lua_Window);
function Lua_HeroDesWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_HeroDesWindow";
	self.skinName = "HeroDesWindow_skin";
	self.isFullSizeWin = true;
	self.showBlackMask = true;
	self.blackAlpha = 0.01;
	self.isClickClose = true;
end

function Lua_HeroDesWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.itemIcon = Lua_ItemIcon.new(self.upobj);
	self.itemIcon:setScale(0.8, 0.8);
	self.itemIcon:setLocation(-282, 550);
	self.itemIcon:setCanClick(false);
end

function Lua_HeroDesWindow:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self:superCall("dispose");
end

function Lua_HeroDesWindow:showWin(param)
	self:superCall("showWin",param);

	self.itemIcon:setData(param);
	self.name.text = param.name;
	self.name:resetSize();
	self.level.text = LanUtil.formateStr(10041, tostring(param.level))
	self.level:setLocation(-217 + self.name.width + 15, 571, 0);
	local str = LanUtil.getValue(126044+param.career);
	self.career.text = LanUtil.formateStr(10048, str);

	self.icon:setAltas("common_altas_2", "xui_bz_widget_"..19+param.career);
	local str1 = Lua_ColorDefine.getColorStr("b8b8b8",LanUtil.getValue(126067));
	self.des.text = str1..param.posit_des;

	local str2 = Lua_ColorDefine.getColorStr("b8b8b8",LanUtil.getValue(126068));
	self.des1.text = str2..param.expertise_des;
	self.des1:resetSize();

	self.bg:SetDimensions(370, 200+self.des1.height);
end