--光环界面
Lua_HeroLineupAureoleWindow = class("Lua_HeroLineupAureoleWindow", Lua_Window);
function Lua_HeroLineupAureoleWindow:ctor()
    self:superCall("ctor");
    self.isClickClose = true;
    self.showCloseText = true;
    self.closeTextPosY = -622;
    self.showBlackMask = true;
    self.windowName = "Lua_HeroLineupAureoleWindow";
    self.skinName="HeroLineupAureoleWindow_skin";
end

function Lua_HeroLineupAureoleWindow:buildShowItem()
    self:superCall("buildShowItem");
    self.tipe_txt:setLangValue(126059);
end

function Lua_HeroLineupAureoleWindow:showWin(aureole_id)
	self.aureole_id = aureole_id;
    self:showInfo();
end

function Lua_HeroLineupAureoleWindow:showInfo()
    local list = getConfig("hero_aureole_type");
    self.aureoleInfo = Array();
    for i=1,#list do
    	self["show_des"..i].text = list[i].des;
        local arr = DataCenter.heroLineupUtil:getAureoleInfoByType(list[i].aureole_type);
        local item;
        for j=1,arr:getSize() do
	 		item = UICreate.createLabel(self.content, "", 65, 41, 650, 35, 20);
	 		item.pivot = Lua_WindowUtil.getPivot(3);
			item.alignmentValue = 3;
			item.horizontalOverflowValue = 1;
	 		if i == 1 then
	 			item:setLocation(-167, 142 - (j-1)*26);
	 		elseif i == 2 then
	 			item:setLocation(-167, -24 - (j-1)*26);
	 		else
	 			item:setLocation(-167, -320 - (j-1)*26);
	 		end
	 		local bool = true;
	 		local color = "9a9a9a";
	 		if arr[j].id == self.aureole_id then
	 			color = "64be7e";
	 			bool = false;
	 		end
	 		self["icon"..i.."_"..j]:setGray(bool);
	 		item.text = Lua_ColorDefine.getColorStr(color,arr[j].describe);
	        self.aureoleInfo:add(item);
	 	end
    end
end

function Lua_HeroLineupAureoleWindow:dispose()
    if self.aureoleInfo ~= nil then
		self.aureoleInfo:dispose();
		self.aureoleInfo:clear();
		self.aureoleInfo = nil;
	end
    self:superCall("dispose");
end