-- 阵容页签
Lua_HeroLineupTabCell = class("Lua_HeroLineupTabCell", Lua_ButtonCell);
function Lua_HeroLineupTabCell:ctor(p)
    self:superCall("ctor", p);
end

function Lua_HeroLineupTabCell:buildShowItem()
    self:superCall("buildShowItem");

    self.bg = UICreate.createUIAtlasImage(self.content, "common_altas_3", "xui_common_toggle_003_b", 0, 0, 0, 0);

    self.title = UICreate.createLabel(self.content, nil, 0, -5, 100, 31, 30);
    self.title.pivotValue = 4;
    self.title.alignmentValue = 4;
    self.title.horizontalOverflowValue = 1;
    self.title.fontName = Lua_MyUISettings.huakangFontName;
end

function Lua_HeroLineupTabCell:dispose()
    self.data = nil;
    self:superCall("dispose");
end

function Lua_HeroLineupTabCell:setData(data)
    self.data = data;
    self.title.text = data.name;
end

function Lua_HeroLineupTabCell:setSelected(index)
    if index == self.index then -- 选中
        self.bg:setAltas("common_altas_3", "xui_common_toggle_003_f");
        self.title.fontSize = 30;
        self.title.colorStr = Lua_ColorDefine.transColor("894E23");
    else
        self.bg:setAltas("common_altas_3", "xui_common_toggle_003_b");
        self.title.fontSize = 28;
        self.title.colorStr = Lua_ColorDefine.transColor("B2B2A6");
    end
end

function Lua_HeroLineupTabCell:setCanClick(bCan)
    if bCan == true then
        self.bg.mouseEnable = true
        self.bg:addClickFuntion(self, self.onPressClick)
    else
        self.bg.mouseEnable = false
        self.bg:removeClickFuntion(self, self.onPressClick)
    end
end