-- 寂灭岛副本布阵
checkRequire("Lua_FightLineupWindow")
Lua_EquipCopyLineupWindow = class("Lua_EquipCopyLineupWindow", Lua_FightLineupWindow);
function Lua_EquipCopyLineupWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_EquipCopyLineupWindow";
end

function Lua_EquipCopyLineupWindow:buildShowItem()
	self:superCall("buildShowItem");

	-- 策划要求换回9宫格
	-- self.showBossPanel = Lua_ShowBossPanel.new(self.content);
	-- self.showBossPanel:setLocation(217, -237, 0);
	-- LuaUtil.setObjAnchor(self.showBossPanel.content, UIUtils.Anchor.Top);

	self.tipsTxt = UICreate.createLabel(self.content, "", 217, -336, 100, 22, 22);
	self.tipsTxt.anchor = Lua_WindowUtil.getAnchor(1);
	self.tipsTxt.pivot = UIUtils.Pivot.Center;
	self.tipsTxt.alignmentValue = 4;
	self.tipsTxt.horizontalOverflowValue = 1;
	self.tipsTxt.colorStr = Lua_ColorDefine.transColorStr("84E766");
	self.tipsTxt.effectStyle = 2;
	self.tipsTxt.effectColorStr = Lua_ColorDefine.transColor("302F2B");
	self.tipsTxt:setEffectDistance(2, 2);

	self.heroList:setListCell(Lua_EquipCopyLineupCell, 107, 107, 5);
end

function Lua_EquipCopyLineupWindow:updateShowInfo(param)
	-- param.copyData; -- 副本信息;
	-- param.stage_id; -- 关卡id
	-- param.template_id; -- 战斗模板
	self.template_id = param.template_id;
	self.lineupType = param.copyData.lineup;
    self.monster_player_id = param.monster_player_id -- 配置表怪物

	DataCenter.equipCopyData.subdue_camp = param.copyData.subdue_camp; -- 克制阵营
	-- self.showBossPanel:setData(param.copyData);
	self.tipsTxt.text = param.copyData.des1;

	if self.template_id == DataCenter.equipCopyUtil.more_template_id then
		self.btnFight:setLangValue(420005);
	end

	self:showSceneByTemplateId(self.template_id);
	self:updateLineupInfo();
	self:updateEnemyInfo();
	self.campSiftPanel:setSelected(Lua_HeroUtil.All_TYPE, 0);
end

function Lua_EquipCopyLineupWindow:onBtnFightClick(go)
	if self.template_id == DataCenter.equipCopyUtil.single_template_id then
		self:onCheckArtifact();
	else
		local lineupNum = self.data:getHeroNumByLineupIdx(self.lineupIdx)
	   	if lineupNum == 0 and self.data.down_lineup == 0 then
	        OperateAlert.showLangValue(126307);
	        return;
	    end
		if self:checkIsChange() then
	        self:onSaveLineup()
	    end
		self:hide();
	end
end

function Lua_EquipCopyLineupWindow:onFight()
	if self:checkIsChange() then
        self:onSaveLineup()
    end
	if self.bOnFightClick ~= nil then
		return
	end
	self.bOnFightClick = true;
	Lua_ProxyManager.getProxy("Lua_FightProxy"):sStartFight(self.template_id, self.showData.stage_id);
end


function Lua_EquipCopyLineupWindow:dispose()
	self.bOnFightClick = nil;
	DataCenter.equipCopyData.subdue_camp = nil;
	self:superCall("dispose")
end

























Lua_EquipCopyLineupCell = class("Lua_EquipCopyLineupCell", Lua_HeroLineupCell);
function Lua_EquipCopyLineupCell:buildShowItem()
	self:superCall("buildShowItem");

	self.upIcon = UICreate.createUIAtlasImage(self.content, "equipcopy_atlas_1", "xui_jmd_widget_34", -40, -36, 0, 0);
	self.upIcon:setEnable(true);
end

function Lua_EquipCopyLineupCell:setData(data)
	self:superCall("setData", data);
	self.upIcon:setEnable(self.data.campType == DataCenter.equipCopyData.subdue_camp);
end

function Lua_EquipCopyLineupCell:dispose()
	if self.upIcon ~= nil then
		self.upIcon:dispose();
		self.upIcon = nil;
	end
	self:superCall("dispose");
end










-- -- boss信息
-- Lua_ShowBossPanel = class("Lua_ShowBossPanel", Lua_DisplayObject);
-- function Lua_ShowBossPanel:ctor(p)
-- 	self:superCall("ctor", p, "ShowBossPanel_skin");
-- end

-- function Lua_ShowBossPanel:buildShowItem()
-- 	self:superCall("buildShowItem");
-- 	self.bossIcon:addClickFuntion(self, self.onHeadBtnClick);
-- end

-- function Lua_ShowBossPanel:setData(data)
-- 	self._data = data;
-- 	if data == nil then
-- 		return;
-- 	end

-- 	self.desText.text = data.des;
-- 	self.nameTxt.text = data.boss_name;
-- 	self.bossIcon:setAltas("common_altas_3", data.boss_head);
-- 	self.campIcon:setAltas("common_altas_2", "xui_common_attribute_"..data.id);
-- end

-- function Lua_ShowBossPanel:onHeadBtnClick()
-- 	Lua_WindowUtil.openWin("Lua_BossStrategyWindow", Lua_WinParam.ACTION_OPEN, self._data.id);
-- end

-- function Lua_ShowBossPanel:dispose()
-- 	self:superCall("dispose");
-- end